View Issue Details

IDProjectCategoryView StatusLast Update
0000092ascendcompilerpublic2008-02-10 13:00
Reporterjohn 
Assigned Tojohn 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.9.6 
Summary0000092: default_self "Error" should be a "Warning"
DescriptionThis 'error' is likely to peturb every new user of ASCEND, and is specifically mentioned even in the very first tutorial. It should be changed to a 'warning' or 'notice' if it isn't really an error.
TagsNo tags attached.

Relationships

parent of 0000195 closedjohn Add functionality for METHOD 'warnings' 

Activities

john

2005-10-11 08:24

administrator   ~0000010

The message is:

 {Error! Standard method "default_self" called but not written in MODEL.};

ben

2005-12-27 10:39

manager   ~0000214

There are a variety of suppression switches already included in the
Library->options->
menu. The default setting (to ignore stop statements) converts
the STOP statements in the basemodel library effectively into warnings.
The documentation in the basemodel library is a pretty good
description of the philosophical basis behind the design of the
current behavior. The advanced user (of the tickle interface at least)
has full control the behavior.

john

2007-01-10 06:37

administrator   ~0000416

With 'on_load' being used now in the PyGTK interface, this is less of a concern.

Issue History

Date Modified Username Field Change
2005-10-11 08:23 john New Issue
2005-10-11 08:24 john Note Added: 0000010
2005-12-24 05:00 john Relationship added parent of 0000195
2005-12-27 10:39 ben Note Added: 0000214
2006-02-07 13:18 john Target release => 1.0
2006-02-07 13:22 john Target release 1.0 => 0.9.6
2007-01-10 06:37 john Status new => resolved
2007-01-10 06:37 john Fixed in Version => 0.9.6
2007-01-10 06:37 john Resolution open => fixed
2007-01-10 06:37 john Assigned To => john
2007-01-10 06:37 john Note Added: 0000416
2008-02-10 13:00 john Status resolved => closed